## libmng 1.0.3-3

=== contrib/gcc/gtk-mng-view/Makefile ===
LIBMNG_PREFIX = /usr/local

CC = gcc

#CFLAGS = -g -O2 -Wall \
#	`gtk-config --cflags` \
#	-I$(LIBMNG_PREFIX)/include
CFLAGS = -g -O2 -Wall \
	`gdk-pixbuf-config --cflags` \
	-I$(LIBMNG_PREFIX)/include

#LIBS = `gtk-config --libs` \
#	-L$(LIBMNG_PREFIX)/lib -lmng -ljpeg -lz
LIBS = `gdk-pixbuf-config --libs` \
	-L$(LIBMNG_PREFIX)/lib -lmng -ljpeg -llcms -lz

OBJ = dummy.o \
      gtk-mng-view.o

# GRR:  I personally prefer "gmngview" or "gtk-mng-view" over "dummy"...
#EXE_BASENAME=dummy
EXE_BASENAME=gmngview

all: $(EXE_BASENAME) $(EXE_BASENAME)-static

$(EXE_BASENAME): $(OBJ)
	$(CC) -o $(EXE_BASENAME) $(OBJ) $(LIBS)

$(EXE_BASENAME)-static: $(OBJ)
	$(CC) -static -o $(EXE_BASENAME)-static $(OBJ) $(LIBS)

.c.o: gtk-mng-viewer.h
	$(CC) -c $(CFLAGS) $<

clean:
	rm -f core $(EXE_BASENAME) $(EXE_BASENAME)-static $(OBJ)

=== debian/changelog ===
libmng (1.0.3-3) unstable; urgency=low

  * New Maintainer (closes: #127702).

 -- Luis Arocha <data@debian.org>  Fri,  4 Jan 2002 19:33:44 +0000

libmng (1.0.3-2) unstable; urgency=low
 
  * Build with new version of lcms
  * Cleanup build-deps/deps and lintian errors
  * This will also make sure that we build properly on all archs prior to
    release.

 -- Ivan E. Moore II <rkrusty@debian.org>  Mon, 26 Oct 2001 22:43:00 -0700

libmng (1.0.3-1) unstable; urgency=low

  * New upstream version

 -- Ivan E. Moore II <rkrusty@debian.org>  Fri, 19 Oct 2001 22:50:00 -0700

libmng (1.0.2-2) unstable; urgency=low

  * Don't use gcc3 anymore for alpha
 
 -- Ivan E. Moore II <rkrusty@debian.org>  Mon, 03 Sep 2001 12:20:00 -0700

libmng (1.0.2-1) unstable; urgency=low
 
  * New upstream version
 
 -- Ivan E. Moore II <rkrusty@debian.org>  Sat, 25 Aug 2001 04:20:00 -0700

libmng (1.0.1-3) unstable; urgency=low
 
  * Fix libtool bits for hurd (Closes: #105880)
 
 -- Ivan E. Moore II <rkrusty@debian.org>  Thu, 19 Jul 2001 10:13:00 -0700

libmng (1.0.1-2) unstable; urgency=low
  
  * Autobuild and build properly for alpha
 
 -- Ivan E. Moore II <rkrusty@debian.org>  Sat, 07 Jul 2001 02:18:00 -0700

libmng (1.0.1-1) unstable; urgency=low
 
  * New upstream version
 
 -- Ivan E. Moore II <rkrusty@debian.org>  Mon, 30 Apr 2001 02:48:00 -0700

libmng (1.0.0-4) unstable; urgency=low
 
  * Adding in a replaces for libmng (Closes: #95061)
 
 -- Ivan E. Moore II <rkrusty@debian.org>  Mon, 23 Apr 2001 20:07:00 -0700

libmng (1.0.0-3) unstable; urgency=low
 
  * Update config.* files for hppa and ia64 builds
  * Update Build-Depends
  * Update Standards Version
  * Update debian/rules
 
 -- Ivan E. Moore II <rkrusty@debian.org>  Sun, 22 Apr 2001 03:19:00 -0700

libmng (1.0.0-2) unstable; urgency=low
 
  * Update build-deps to build with new liblcms package
 
 -- Ivan E. Moore II <rkrusty@debian.org>  Sat, 17 Feb 2001 05:43:00 -0700

libmng (1.0.0-1) unstable; urgency=low
 
  * New upstream version
  * Moving man pages into -dev package
 
 -- Ivan E. Moore II <rkrusty@debian.org>  Fri, 09 Feb 2001 04:30:00 -0700

libmng (0.9.4-2) unstable; urgency=low
 
  * Fixing Build-Depends and Depends for -dev package
  * Fixing Sections for individual Packages
 
 -- Ivan E. Moore II <rkrusty@debian.org>  Wed, 24 Jan 2001 01:54:00 -0700

libmng (0.9.4-1) unstable; urgency=low
 
  * New upstream version
 
 -- Ivan E. Moore II <rkrusty@debian.org>  Sat, 20 Jan 2001 01:15:00 -0700

libmng (0.9.3-4) unstable; urgency=low
 
  * Update build-depends
  * Also (Closes: #82531)
 
 -- Ivan E. Moore II <rkrusty@debian.org>  Tue, 16 Jan 2001 10:03:00 -0700

libmng (0.9.3-3) unstable; urgency=low
 
  * more build-depends work - adding missing xlibs-dev
  * fixing shlibs
 
 -- Ivan E. Moore II <rkrusty@debian.org>  Sat, 18 Nov 2000 20:33:00 -0700

libmng (0.9.3-2) unstable; urgency=low
 
  * Re-adding lcms support
 
 -- Ivan E. Moore II <rkrusty@debian.org>  Wed, 08 Nov 2000 16:22:00 -0700
                                                                                

libmng (0.9.3-1.1) unstable; urgency=low
 
  * Build without lcms support until liblcms makes it's way into woody
 
 -- Ivan E. Moore II <rkrusty@debian.org>  Sun, 05 Nov 2000 22:00:00 -0700
                                                                                

libmng (0.9.3-1) unstable; urgency=low
 
  * Build with lcms support
 
 -- Ivan E. Moore II <rkrusty@debian.org>  Sat, 04 Nov 2000 23:45:00 -0700
                                                                                

libmng (0.9.3-0) unstable; urgency=low
 
  * New upstream version
 
 -- Ivan E. Moore II <rkrusty@debian.org>  Sat, 04 Nov 2000 23:00:00 -0700
                                                                                

libmng (0.9.2-3) unstable; urgency=low
 
  * Minor tweaks to compiler flags
  * lintian cleanups
 
 -- Ivan E. Moore II <rkrusty@debian.org>  Mon, 16 Oct 2000 21:30:00 -0700

libmng (0.9.2-2) unstable; urgency=low

  * Just in case build...against new libc6
  * More build-depends cleanup

 -- Ivan E. Moore II <rkrusty@debian.org>  Tue, 26 Sep 2000 22:30:50 -0700

libmng (0.9.2-1) unstable; urgency=low

  * Initial Release.

 -- Ivan E. Moore II <rkrusty@debian.org>  Sat, 23 Sep 2000 01:58:50 -0700

Local variables:
mode: debian-changelog
End:

=== debian/control ===
Source: libmng
Build-Depends: autoconf, automake, libtool, debhelper (>> 3.0.0), libjpeg62-dev | libjpeg-dev, liblcms-dev (>= 1.08-1), xlibs-dev (>= 4.1.0-0), zlib1g-dev | libz-dev
Section: libs
Priority: optional
Maintainer: Luis Arocha <data@debian.org>
Standards-Version: 3.5.6

Package: libmng1
Architecture: any
Section: libs
Replaces: libmng-dev (<< 1.0.0-3), libmng
Depends: ${shlibs:Depends}
Description: Multiple-image Network Graphics library
 The libmng library supports decoding, displaying, encoding, and various
 other manipulations of the Multiple-image Network Graphics (MNG) format
 image files. It uses the zlib compression library, and optionally the
 JPEG library by the Independent JPEG Group (IJG) and/or
 lcms (little cms), a color-management library by Marti Maria Saguar.

Package: libmng-dev
Architecture: any
Section: devel
Replaces: libmng
Depends: libmng1 (= ${Source-Version}), liblcms-dev, libjpeg62-dev | libjpeg-dev, xlibs-dev (>= 4.1.0-0), libz-dev
Description: M-N-G library (Development headers)
 The libmng library supports decoding, displaying, encoding, and various
 other manipulations of the Multiple-image Network Graphics (MNG) format
 image files. It uses the zlib compression library, and optionally the
 JPEG library by the Independent JPEG Group (IJG) and/or
 lcms (little cms), a color-management library by Marti Maria Saguar.  
 .
 Development headers

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This is the debhelper compatability version to use.
export DH_COMPAT=3
ARCH = $(shell dpkg-architecture -qDEB_BUILD_ARCH)
ifeq ($(ARCH),alpha)
  COMPILER_FLAGS=CFLAGS="-Wall -O0 -funroll-loops -fno-exceptions -pipe -mieee" CXXFLAGS="-Wall -O0 -funroll-loops -fno-exceptions -pipe -mieee"
else
  COMPILER_FLAGS=CFLAGS="-Wall -O2 -funroll-loops -fno-exceptions -pipe" CXXFLAGS="-Wall -O2 -funroll-loops -fno-exceptions -pipe"
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	/bin/sh ./autogen.sh
	# Add here commands to configure the package.
	$(COMPILER_FLAGS) \
	./configure --prefix=/usr --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info --with-zlib --with-jpeg --with-lcms=/usr

	touch configure-stamp

build: configure-stamp build-stamp
build-stamp:
	dh_testdir

	touch build-stamp

clean:
	dh_testdir
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) distclean

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the package into debian/tmp.
	$(MAKE) install prefix=`pwd`/debian/libmng1/usr


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
#	dh_testversion
	dh_testdir
	dh_testroot
	dh_installman
	dh_movefiles --sourcedir=debian/libmng1 -plibmng-dev
	dh_installdocs
	dh_installexamples
	dh_installinfo
	dh_undocumented
	dh_installchangelogs Changes
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_makeshlibs -V
	dh_installdeb
	dh_perl
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## libmng 1.0.10

=== debian/changelog ===
libmng (1.0.10-1ubuntu1) oneiric; urgency=low

  * Build for multiarch.  LP: #825931.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 13 Aug 2011 15:35:18 -0700

libmng (1.0.10-1) unstable; urgency=low

  * New upstream release (Closes: #535960)
  * debian/patches/manpage-typo-fixes.diff:
    + Added patch to fix manpage spelling mistakes
  * debian/patches/linux-makefile.diff:
    + Updated for makefile.linux upstream changes
    + Fixed typo at line 87
  * debian/patches/kfreebsd-build-fix.diff:
    + Updated for upstream changes
  * Updated debian/symbol for new symbol additions

 -- Kartik Mistry <kartik@debian.org>  Sat, 12 Jun 2010 14:48:47 +0530

libmng (1.0.9-3) unstable; urgency=low

  * Added patch to fix installation of headers files for libmng-dev and better
    way to install files using dh_install. Thanks to Arnaud Fontaine
    <arnau@debian.org> (Closes: #584414)

 -- Kartik Mistry <kartik@debian.org>  Thu, 03 Jun 2010 17:56:09 +0530

libmng (1.0.9-2) unstable; urgency=low

  * New maintainer (Closes: #555290)
  * Updated to source format 3.0 (quilt)
  * debian/control:
    + Updated Standards-Version to 3.8.4
    + Dropped build-depends on the obsolete automake1.7 and autoconf
      (Closes: #573050)
    + Wrapped up description, build-depends and depends
    + Removed duplicate Section for libmng1
    + Added Homepage entry
    + Switched to substvar ${binary:Version}
    + Added ${misc:Depends} for libmng1 and libmng-dev
  * We don't provide .la file as release goal (Closes: #364744)
  * debian/rules:
    + Do not set compat level to 4
    + Used [ ! -f Makefile ] || $(MAKE) distclean for clean target
    + Do not use dh_undocumented
    + Used dh_prep instead of dh_clean -k
  * debian/copyright:
    + Updated as per DEP-5 specification
    + Added copyright for debian/* files
  * debian/patches:
    + Organized patches and added patch headers
  * Added debian/watch file
  * Added debian/compat file
  * Added debian/symbol file

 -- Kartik Mistry <kartik@debian.org>  Wed, 02 Jun 2010 18:43:43 +0530

libmng (1.0.9-1) unstable; urgency=low

  * New upstream release. (closes: #303968, #271979)
  * Patch from Aurelien Jarno <aurel32@debian.org> to support GNU/kFreeBSD.
    Closes: #314696)
  * Patch from Christopher Bodenstein <cb@physicman.net> to support
    hurd-i386. (closes: #361103)
  * README.Debian provide information on what options are compiled in to
    libmng.(closes: #174523)
  
 -- Shiju p. Nair <shiju.p@gmail.com>  Wed,  7 Apr 2006 09:49:11 +0300

libmng (1.0.8-1) unstable; urgency=low

  * New upstream release (closes: #250106).
  * Removed unwanted dependencies (closes: #256526, #218469)
  
 -- Shiju p. Nair <shiju.p@gmail.com>  Mon, 27 Sep 2004 10:29:48 +0300

libmng (1.0.5-1) unstable; urgency=low

  * New upstream version.
  * Fixes several Mozilla crashes (closes: #187069)

 -- Shiju p. Nair <shiju@infovillage.net>  Tue,  1 Apr 2003 09:57:22 +0300

libmng (1.0.4-4) unstable; urgency=low

  * New Maintainer (closes: #168565).
  * Patch from H. S. Teoh <hsteoh@quickfur.ath.cx> apllied to correct mng.5
    format (closes: #174552).

 -- Shiju p. Nair <shiju@infovillage.net>  Sun,  5 Jan 2003 10:23:47 +0300

libmng (1.0.4-3) unstable; urgency=low

  * Orphaned.

 -- Luis Arocha <data@debian.org>  Sun, 29 Dec 2002 20:51:53 +0000

libmng (1.0.4-2) unstable; urgency=low

  * Patch from Julien PUYDT applied. Solve compilation problem on Hurd
    (closes: #163994).

 -- Luis Arocha <data@debian.org>  Thu, 10 Oct 2002 17:01:09 +0100

libmng (1.0.4-1) unstable; urgency=low

  * New upstream version.
  * Solved problem with different versions of automake (closes: #156449).
  * Modified libdir in file libmng.la (closes: #161164).

 -- Luis Arocha <data@debian.org>  Sun, 29 Sep 2002 20:36:28 +0100

libmng (1.0.3-4) unstable; urgency=low

  * Build with renamed version of lcms.

 -- Luis Arocha <data@debian.org>  Mon,  3 Jun 2002 18:27:19 +0100

=== debian/control ===
Source: libmng
Section: libs
Priority: optional
Build-Depends: debhelper (>= 8.1.3),
               libjpeg62-dev | libjpeg-dev,
               liblcms1-dev,
               libtool,
               zlib1g-dev
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Kartik Mistry <kartik@debian.org>
Homepage: http://www.libmng.com
Standards-Version: 3.8.4

Package: libmng1
Architecture: any
Multi-Arch: same
Replaces: libmng-dev (<< 1.0.0-3), libmng
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Multiple-image Network Graphics library
 The libmng library supports decoding, displaying, encoding, and various other
 manipulations of the Multiple-image Network Graphics (MNG) format image files.
 It uses the zlib compression library, and optionally the JPEG library by the
 Independent JPEG Group (IJG) and/or lcms (little cms), a color-management
 library by Marti Maria Saguar.

Package: libmng-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Replaces: libmng
Depends: ${misc:Depends},
         libmng1 (= ${binary:Version}),
         libjpeg62-dev | libjpeg-dev,
         liblcms1-dev,
         zlib1g-dev
Description: M-N-G library (Development headers)
 The libmng library supports decoding, displaying, encoding, and various other
 manipulations of the Multiple-image Network Graphics (MNG) format image files.
 It uses the zlib compression library, and optionally the JPEG library by the
 Independent JPEG Group (IJG) and/or lcms (little cms), a color-management
 library by Marti Maria Saguar.
 .
 This package provides development headers.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

ARCH = $(shell dpkg-architecture -qDEB_BUILD_ARCH)
ifeq ($(ARCH),alpha)
  COMPILER_FLAGS=CFLAGS="-Wall -O0 -funroll-loops -fno-exceptions -pipe -mieee" CXXFLAGS="-Wall -O0 -funroll-loops -fno-exceptions -pipe -mieee"
else
  COMPILER_FLAGS=CFLAGS="-Wall -O2 -funroll-loops -fno-exceptions -pipe" CXXFLAGS="-Wall -O2 -funroll-loops -fno-exceptions -pipe"
endif

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

configure: configure-stamp
configure-stamp:
	dh_testdir
	cp -f makefiles/makefile.linux makefile
	touch configure-stamp

build: configure-stamp build-stamp
build-stamp:
	dh_testdir
	touch build-stamp

clean:
	dh_testdir
	rm -f build-stamp configure-stamp
	[ ! -f Makefile ] || $(MAKE) distclean
	rm -f makefile *.o *.so.* *.a
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_prep

	mkdir -p $(CURDIR)/debian/tmp/usr/lib
	$(MAKE) install prefix=$(CURDIR)/debian/tmp/usr LIBPATH=\$${prefix}/lib/$(DEB_HOST_MULTIARCH)

	# Remove empty dir
	rm -rf $(CURDIR)/debian/libmng1/usr/include

binary-indep: build install

binary-arch: build install
	dh_testdir
	dh_testroot
	dh_install --sourcedir=debian/tmp -plibmng-dev -plibmng1
	dh_installman
	dh_installdocs
	dh_installexamples
	dh_installinfo
	dh_installchangelogs CHANGES
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_makeshlibs -V
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## libmng 1.0.10+dfsg

=== contrib/gcc/xmngview/Makefile ===
PROC=athlon
CFLAGS=-g -Wall -O2 -march=$(PROC) -mcpu=$(PROC)
MOTIFLIB=/usr/local/lesstif/lib
MOTIFINC=/usr/local/lesstif/include
MNGLIB=-lmng
LIBS=-L/usr/X11R6/lib -L$(MOTIFLIB) -lXm -lXt -lX11 $(MNGLIB) -lm
INC=-I/usr/X11R6/include -I$(MOTIFINC)
CC=gcc
LDFLAGS=

all: clean compile

compile:
	$(CC) $(CFLAGS) $(INC) color.c xmngview.c -o xmngview $(LIBS)

clean:
	rm -f xmngview core 

install:
	cp -a xmngview  /usr/local/bin/xmngview

=== debian/changelog ===
libmng (1.0.10+dfsg-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Buld against lcms2: new patch support-lcms2.patch (Closes: #745525)
    The patch cherry-picks the relevant changes from the new upstream version.
  * Repack tarball using Exclude-Files in d/copyright to remove non-free
    file contrib/msvc/mngview/sRGB.icm (Closes: #699304).

 --  Tobias Frost <tobi@debian.org>  Sun, 03 Aug 2014 13:20:17 +0000

libmng (1.0.10-3) unstable; urgency=low

  * debian/control:
    + Switched to libjpeg8. (Closes: #639394)
  * debian/copyright:
    + Fixed according to DEP5 format.

 -- Kartik Mistry <kartik@debian.org>  Fri, 16 Sep 2011 20:33:32 +0530

libmng (1.0.10-2) unstable; urgency=low

  * Added MultiArch support, Thanks to Steve Langasek
    <steve.langasek@canonical.com> for patch (Closes: #637735)
  * debian/control:
    + Updated Standards-Version to 3.9.2
  * debian/rules:
    + Added needed build-* targets
  * debian/copyright:
    + Updated to latest DEP-5 format

 -- Kartik Mistry <kartik@debian.org>  Sun, 14 Aug 2011 13:59:46 +0530

=== debian/rules ===
--- 
+++ 
@@ -20,7 +20,9 @@
 	cp -f makefiles/makefile.linux makefile
 	touch configure-stamp
 
-build: configure-stamp build-stamp
+build: configure-stamp build-stamp build-arch build-indep
+build-arch: build-stamp
+build-indep: build-stamp
 build-stamp:
 	dh_testdir
 	touch build-stamp
@@ -66,4 +68,4 @@
 	dh_builddeb
 
 binary: binary-indep binary-arch
-.PHONY: build clean binary-indep binary-arch binary install
+.PHONY: build build-indep build-arch clean binary-indep binary-arch binary install

## libmng 1.0.10+dfsg-3.1

=== debian/changelog ===
libmng (1.0.10+dfsg-3.1-deepin1) unstable; urgency=medium

  * Rebuild

 -- Deepin Packages Builder <packages@deepin.org>  Fri, 11 Nov 2022 17:59:33 +0800

=== debian/control ===
--- 
+++ 
@@ -2,14 +2,13 @@
 Section: libs
 Priority: optional
 Build-Depends: debhelper (>= 8.1.3),
-               libjpeg62-dev | libjpeg-dev,
-               liblcms1-dev,
+               libjpeg-dev,
+               liblcms2-dev,
                libtool,
                zlib1g-dev
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Kartik Mistry <kartik@debian.org>
+Maintainer: Kartik Mistry <kartik@debian.org>
 Homepage: http://www.libmng.com
-Standards-Version: 3.8.4
+Standards-Version: 3.9.2
 
 Package: libmng1
 Architecture: any
@@ -31,8 +30,8 @@
 Replaces: libmng
 Depends: ${misc:Depends},
          libmng1 (= ${binary:Version}),
-         libjpeg62-dev | libjpeg-dev,
-         liblcms1-dev,
+         libjpeg-dev,
+         liblcms2-dev,
          zlib1g-dev
 Description: M-N-G library (Development headers)
  The libmng library supports decoding, displaying, encoding, and various other

## libmng 1.0.10.1

=== debian/changelog ===
libmng (1.0.10.1-1+rebuild) unstable; urgency=low

  * ['Autobuild release-candidate: 6b562963bf04006f3124abe49fc3162d09bed20f']

 -- shuttle <shuttle@deepin.com>  Tue, 10 Dec 2019 19:23:34 +0000

## libmng 2.0.2

=== Makefile ===
# Makefile.in generated by automake 1.13.1 from Makefile.am.
# Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994-2012 Free Software Foundation, Inc.

# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.






am__make_dryrun = \
  { \
    am__dry=no; \
    case $$MAKEFLAGS in \
      *\\[\ \	]*) \
        echo 'am--echo: ; @echo "AM"  OK' | $(MAKE) -f - 2>/dev/null \
          | grep '^AM OK$$' >/dev/null || am__dry=yes;; \
      *) \
        for am__flg in $$MAKEFLAGS; do \
          case $$am__flg in \
            *=*|--*) ;; \
            *n*) am__dry=yes; break;; \
          esac; \
        done;; \
    esac; \
    test $$am__dry = yes; \
  }
pkgdatadir = $(datadir)/libmng-2.0.2
pkgincludedir = $(includedir)/libmng-2.0.2
pkglibdir = $(libdir)/libmng-2.0.2
pkglibexecdir = $(libexecdir)/libmng-2.0.2
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = x86_64-unknown-linux-gnu
host_triplet = x86_64-unknown-linux-gnu
subdir = .
DIST_COMMON = $(srcdir)/Makefile.in $(srcdir)/Makefile.am \
	$(top_srcdir)/configure $(am__configure_deps) \
	$(srcdir)/config.h.in $(srcdir)/libmng.pc.in \
	$(include_HEADERS) $(noinst_HEADERS) README config.guess \
	config.sub install-sh missing ltmain.sh
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/m4/libtool.m4 \
	$(top_srcdir)/m4/ltoptions.m4 $(top_srcdir)/m4/ltsugar.m4 \
	$(top_srcdir)/m4/ltversion.m4 $(top_srcdir)/m4/lt~obsolete.m4 \
	$(top_srcdir)/configure.ac
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
am__CONFIG_DISTCLEAN_FILES = config.status config.cache config.log \
 configure.lineno config.status.lineno
mkinstalldirs = $(install_sh) -d
CONFIG_HEADER = config.h
CONFIG_CLEAN_FILES = libmng.pc
CONFIG_CLEAN_VPATH_FILES =
am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
am__vpath_adj = case $$p in \
    $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
    *) f=$$p;; \
  esac;
am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
am__install_max = 40
am__nobase_strip_setup = \
  srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
am__nobase_strip = \
  for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
am__nobase_list = $(am__nobase_strip_setup); \
  for p in $$list; do echo "$$p $$p"; done | \
  sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
  $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
    if (++n[$$2] == $(am__install_max)) \
      { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
    END { for (dir in files) print dir, files[dir] }'
am__base_list = \
  sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
  sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
am__uninstall_files_from_dir = { \
  test -z "$$files" \
    || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
    || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
         $(am__cd) "$$dir" && rm -f $$files; }; \
  }
am__installdirs = "$(DESTDIR)$(libdir)" "$(DESTDIR)$(man3dir)" \
	"$(DESTDIR)$(man5dir)" "$(DESTDIR)$(pkgconfigdir)" \
	"$(DESTDIR)$(includedir)"
LTLIBRARIES = $(lib_LTLIBRARIES)
libmng_la_LIBADD =
am_libmng_la_OBJECTS = libmng_callback_xs.lo libmng_chunk_io.lo \
	libmng_chunk_prc.lo libmng_chunk_xs.lo libmng_cms.lo \
	libmng_display.lo libmng_dither.lo libmng_error.lo \
	libmng_filter.lo libmng_hlapi.lo libmng_jpeg.lo \
	libmng_object_prc.lo libmng_pixels.lo libmng_prop_xs.lo \
	libmng_read.lo libmng_trace.lo libmng_write.lo libmng_zlib.lo
libmng_la_OBJECTS = $(am_libmng_la_OBJECTS)
AM_V_lt = $(am__v_lt_$(V))
am__v_lt_ = $(am__v_lt_$(AM_DEFAULT_VERBOSITY))
am__v_lt_0 = --silent
am__v_lt_1 = 
libmng_la_LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
	$(LIBTOOLFLAGS) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
	$(libmng_la_LDFLAGS) $(LDFLAGS) -o $@
AM_V_P = $(am__v_P_$(V))
am__v_P_ = $(am__v_P_$(AM_DEFAULT_VERBOSITY))
am__v_P_0 = false
am__v_P_1 = :
AM_V_GEN = $(am__v_GEN_$(V))
am__v_GEN_ = $(am__v_GEN_$(AM_DEFAULT_VERBOSITY))
am__v_GEN_0 = @echo "  GEN     " $@;
am__v_GEN_1 = 
AM_V_at = $(am__v_at_$(V))
am__v_at_ = $(am__v_at_$(AM_DEFAULT_VERBOSITY))
am__v_at_0 = @
am__v_at_1 = 
DEFAULT_INCLUDES = -I.
depcomp =
am__depfiles_maybe =
COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
	$(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
LTCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
	$(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) \
	$(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
	$(AM_CFLAGS) $(CFLAGS)
AM_V_CC = $(am__v_CC_$(V))
am__v_CC_ = $(am__v_CC_$(AM_DEFAULT_VERBOSITY))
am__v_CC_0 = @echo "  CC      " $@;
am__v_CC_1 = 
CCLD = $(CC)
LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
	$(LIBTOOLFLAGS) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
	$(AM_LDFLAGS) $(LDFLAGS) -o $@
AM_V_CCLD = $(am__v_CCLD_$(V))
am__v_CCLD_ = $(am__v_CCLD_$(AM_DEFAULT_VERBOSITY))
am__v_CCLD_0 = @echo "  CCLD    " $@;
am__v_CCLD_1 = 
SOURCES = $(libmng_la_SOURCES)
DIST_SOURCES = $(libmng_la_SOURCES)
am__can_run_installinfo = \
  case $$AM_UPDATE_INFO_DIR in \
    n|no|NO) false;; \
    *) (install-info --version) >/dev/null 2>&1;; \
  esac
man3dir = $(mandir)/man3
man5dir = $(mandir)/man5
NROFF = nroff
MANS = $(man_MANS)
DATA = $(pkgconfig_DATA)
HEADERS = $(include_HEADERS) $(noinst_HEADERS)
am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) \
	$(LISP)config.h.in
# Read a list of newline-separated strings from the standard input,
# and print each of them once, without duplicates.  Input order is
# *not* preserved.
am__uniquify_input = $(AWK) '\
  BEGIN { nonempty = 0; } \
  { items[$$0] = 1; nonempty = 1; } \
  END { if (nonempty) { for (i in items) print i; }; } \
'
# Make sure the list of sources is unique.  This is necessary because,
# e.g., the same source file might be shared among _SOURCES variables
# for different programs/libraries.
am__define_uniq_tagged_files = \
  list='$(am__tagged_files)'; \
  unique=`for i in $$list; do \
    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
  done | $(am__uniquify_input)`
ETAGS = etags
CTAGS = ctags
CSCOPE = cscope
AM_RECURSIVE_TARGETS = cscope
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
distdir = $(PACKAGE)-$(VERSION)
top_distdir = $(distdir)
am__remove_distdir = \
  if test -d "$(distdir)"; then \
    find "$(distdir)" -type d ! -perm -200 -exec chmod u+w {} ';' \
      && rm -rf "$(distdir)" \
      || { sleep 5 && rm -rf "$(distdir)"; }; \
  else :; fi
am__post_remove_distdir = $(am__remove_distdir)
DIST_ARCHIVES = $(distdir).tar.gz
GZIP_ENV = --best
DIST_TARGETS = dist-gzip
distuninstallcheck_listfiles = find . -type f -print
am__distuninstallcheck_listfiles = $(distuninstallcheck_listfiles) \
  | sed 's|^\./|$(prefix)/|' | grep -v '$(infodir)/dir$$'
distcleancheck_listfiles = find . -type f -print
ACLOCAL = ${SHELL} /sources/LIB/MNG/libmng-2.0.2/missing aclocal-1.13
AMTAR = $${TAR-tar}
AM_DEFAULT_VERBOSITY = 1
AR = ar
AS = as
AUTOCONF = ${SHELL} /sources/LIB/MNG/libmng-2.0.2/missing autoconf
AUTOHEADER = ${SHELL} /sources/LIB/MNG/libmng-2.0.2/missing autoheader
AUTOMAKE = ${SHELL} /sources/LIB/MNG/libmng-2.0.2/missing automake-1.13
AWK = gawk
CC = gcc
CCDEPMODE = depmode=none
CFLAGS = -g -O2
CPP = gcc -E
CPPFLAGS = 
CYGPATH_W = echo
DEFS = -DHAVE_CONFIG_H
DEPDIR = .deps
DLLTOOL = dlltool
DSYMUTIL = 
DUMPBIN = 
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = /usr/bin/grep -E
EXEEXT = 
FGREP = /usr/bin/grep -F
GREP = /usr/bin/grep
INSTALL = /usr/bin/ginstall -c
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = $(install_sh) -c -s
LD = /usr/x86_64-slackware-linux/bin/ld -m elf_x86_64
LDFLAGS = 
LIBOBJS = 
LIBS = -lz  -lm -ljpeg -llcms2
LIBTOOL = $(SHELL) $(top_builddir)/libtool
LIPO = 
LN_S = ln -s
LTLIBOBJS = 
MAKEINFO = ${SHELL} /sources/LIB/MNG/libmng-2.0.2/missing makeinfo
MANIFEST_TOOL = :
MKDIR_P = /usr/bin/mkdir -p
MNG_MAJOR_NR = 2
MNG_MINOR_NR = 0
MNG_RELEASE_NR = 2
NM = /usr/bin/nm -B
NMEDIT = 
OBJDUMP = objdump
OBJEXT = o
OTOOL = 
OTOOL64 = 
PACKAGE = libmng-2.0.2
PACKAGE_BUGREPORT = png-mng-implement@lists.sourceforge.net
PACKAGE_NAME = libmng
PACKAGE_STRING = libmng 2.0.2
PACKAGE_TARNAME = libmng-2.0.2
PACKAGE_URL = http://www.libmng.com/
PACKAGE_VERSION = 2.0.2
PATH_SEPARATOR = :
RANLIB = ranlib
SED = /usr/bin/sed
SET_MAKE = 
SHELL = /bin/sh
STRIP = strip
VERSION = 2.0.2
abs_builddir = /sources/LIB/MNG/libmng-2.0.2
abs_srcdir = /sources/LIB/MNG/libmng-2.0.2
abs_top_builddir = /sources/LIB/MNG/libmng-2.0.2
abs_top_srcdir = /sources/LIB/MNG/libmng-2.0.2
ac_ct_AR = ar
ac_ct_CC = gcc
ac_ct_DUMPBIN = 
am__include = include
am__leading_dot = .
am__quote = 
am__tar = $${TAR-tar} chof - "$$tardir"
am__untar = $${TAR-tar} xf -
bindir = ${exec_prefix}/bin
build = x86_64-unknown-linux-gnu
build_alias = 
build_cpu = x86_64
build_os = linux-gnu
build_vendor = unknown
builddir = .
datadir = ${datarootdir}
datarootdir = ${prefix}/share
docdir = ${datarootdir}/doc/${PACKAGE_TARNAME}
dvidir = ${docdir}
exec_prefix = ${prefix}
host = x86_64-unknown-linux-gnu
host_alias = 
host_cpu = x86_64
host_os = linux-gnu
host_vendor = unknown
htmldir = ${docdir}
includedir = ${prefix}/include
infodir = ${datarootdir}/info
install_sh = ${SHELL} /sources/LIB/MNG/libmng-2.0.2/install-sh
libdir = /usr/lib64
libexecdir = ${exec_prefix}/libexec
localedir = ${datarootdir}/locale
localstatedir = ${prefix}/var
mandir = ${datarootdir}/man
mkdir_p = $(MKDIR_P)
oldincludedir = /usr/include
pdfdir = ${docdir}
prefix = /usr
program_transform_name = s,x,x,
psdir = ${docdir}
sbindir = ${exec_prefix}/sbin
sharedstatedir = ${prefix}/com
srcdir = .
sysconfdir = ${prefix}/etc
target_alias = 
top_build_prefix = 
top_builddir = .
top_srcdir = .
MAINTAINERCLEANFILES = Makefile.in
ACLOCAL_AMFLAGS = -I m4
AUTOMAKE_OPTIONS = 1.3 foreign no-dependencies

# include the app subdirectories in the distribution
EXTRA_DIST = makefiles doc contrib

# libmng release 2.0.2
libmng_la_LDFLAGS = \
	-version-number 2:0:2

lib_LTLIBRARIES = libmng.la
include_HEADERS = libmng.h libmng_conf.h libmng_types.h
noinst_HEADERS = libmng_chunk_io.h libmng_chunk_prc.h libmng_chunks.h \
	libmng_cms.h libmng_data.h libmng_display.h libmng_dither.h \
	libmng_error.h libmng_filter.h libmng_jpeg.h libmng_memory.h \
	libmng_object_prc.h libmng_objects.h libmng_pixels.h \
	libmng_read.h libmng_trace.h libmng_write.h libmng_zlib.h

libmng_la_SOURCES = libmng_callback_xs.c libmng_chunk_io.c \
	libmng_chunk_prc.c libmng_chunk_xs.c libmng_cms.c \
	libmng_display.c libmng_dither.c libmng_error.c \
	libmng_filter.c libmng_hlapi.c libmng_jpeg.c \
	libmng_object_prc.c libmng_pixels.c libmng_prop_xs.c \
	libmng_read.c libmng_trace.c libmng_write.c libmng_zlib.c 

man_MANS = doc/man/libmng.3 doc/man/jng.5 doc/man/mng.5
pkgconfigdir = $(libdir)/pkgconfig
pkgconfig_DATA = libmng.pc
all: config.h
	$(MAKE) $(AM_MAKEFLAGS) all-am

.SUFFIXES:
.SUFFIXES: .c .lo .o .obj
am--refresh: Makefile
	@:
$(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
	@for dep in $?; do \
	  case '$(am__configure_deps)' in \
	    *$$dep*) \
	      echo ' cd $(srcdir) && $(AUTOMAKE) --foreign'; \
	      $(am__cd) $(srcdir) && $(AUTOMAKE) --foreign \
		&& exit 0; \
	      exit 1;; \
	  esac; \

=== doc/CMakeLists.txt ===
#libmng-VERSION/doc
IF(BUILD_MAN)
 IF(MAN_FOUND)
  ADD_SUBDIRECTORY(man)
 ELSE(MAN_FOUND)
  MESSAGE(STATUS "No MAN program found. MAN pages not built.")
 ENDIF(MAN_FOUND)
ENDIF(BUILD_MAN)

INSTALL(FILES
 Plan1.png  Plan2.png  doc.readme  libmng.txt
 DESTINATION ${MNG_INSTALL_DOC_DIR} )
#--- fin

=== contrib/gcc/xmngview/Makefile ===
CFLAGS=-g -Wall
MOTIFLIB=/usr/lib
MOTIFINC=/usr/include
MNGLIB=-lmng
LIBS=-L/usr/lib -L$(MOTIFLIB) -lXm -lXt -lX11 $(MNGLIB) -lm
INC=-I/usr/include -I$(MOTIFINC)
CC=gcc
LDFLAGS=

all: clean compile

compile:
	$(CC) $(CFLAGS) $(INC) color.c xmngview.c -o xmngview $(LIBS)

clean:
	rm -f xmngview core 

install:
	cp -a xmngview  /usr/local/bin/xmngview

=== debian/changelog ===
libmng (2.0.2-0ubuntu3) trusty; urgency=medium

  * Run make distclean in the clean target, the tarball contains
    generated files.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 16 Dec 2013 15:09:38 +0100

libmng (2.0.2-0ubuntu1) trusty; urgency=medium

  * New upstream version.
  * Build using lcms2.
  * Build using dh-autoreconf.
  * Honor dpkg-buildflags.
  * Package pkg-config file.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 16 Dec 2013 13:44:34 +0100

libmng (1.0.10-3build1) quantal; urgency=low

  * Rebuild for new armel compiler default of ARMv5t.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 05 Oct 2012 00:09:07 +0100

=== debian/control ===
--- 
+++ 
@@ -2,15 +2,15 @@
 Section: libs
 Priority: optional
 Build-Depends: debhelper (>= 8.1.3),
+               dh-autoreconf,
                libjpeg-dev,
                liblcms2-dev,
-               libtool,
                zlib1g-dev
 Maintainer: Kartik Mistry <kartik@debian.org>
 Homepage: http://www.libmng.com
 Standards-Version: 3.9.2
 
-Package: libmng1
+Package: libmng2
 Architecture: any
 Multi-Arch: same
 Replaces: libmng-dev (<< 1.0.0-3), libmng
@@ -29,7 +29,7 @@
 Section: libdevel
 Replaces: libmng
 Depends: ${misc:Depends},
-         libmng1 (= ${binary:Version}),
+         libmng2 (= ${binary:Version}),
          libjpeg-dev,
          liblcms2-dev,
          zlib1g-dev

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

ARCH = $(shell dpkg-architecture -qDEB_HOST_ARCH)

CPPFLAGS := $(shell dpkg-buildflags --get CPPFLAGS)
CFLAGS := $(shell dpkg-buildflags --get CFLAGS)
CXXFLAGS := $(shell dpkg-buildflags --get CXXFLAGS)
LDFLAGS := $(shell dpkg-buildflags --get LDFLAGS)

ifeq ($(ARCH),alpha)
  CFLAGS := $(patsubst -O%,-O0,$(CFLAGS))
  CXXFLAGS := $(patsubst -O%,-O0,$(CXXFLAGS))
endif
CFLAGS += -Wall -funroll-loops -fno-exceptions
CXXFLAGS += -Wall -funroll-loops -fno-exceptions

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

configure-stamp:
	dh_testdir
	dh_autoreconf
	rm -rf build
	mkdir -p build
	cd build && ../configure --prefix=/usr \
		CPPFLAGS="$(CPPFLAGS)" \
		CFLAGS="$(CFLAGS)" \
		CXXFLAGS="$(CXXFLAGS)" \
		LDFLAGS="$(LDFLAGS)"
	touch configure-stamp

build: configure-stamp build-stamp build-arch build-indep
build-arch: build-stamp
build-indep: build-stamp
build-stamp: configure-stamp
	dh_testdir
	$(MAKE) -C build
	touch build-stamp

clean:
	dh_testdir
	rm -f build-stamp configure-stamp
	rm -rf build
	: # upstream left generated files in the tarball
	[ ! -f Makefile ] || $(MAKE) distclean
	dh_autoreconf_clean
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_prep

	mkdir -p $(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)
	$(MAKE) -C build install \
		DESTDIR=$(CURDIR)/debian/tmp
	mv debian/tmp/usr/lib/libmng* debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/.

binary-indep: build install

binary-arch: build install
	dh_testdir
	dh_testroot
	dh_install --sourcedir=debian/tmp -plibmng-dev -plibmng2
	dh_installman
	dh_installdocs
	dh_installexamples
	dh_installinfo
	dh_installchangelogs CHANGES
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_makeshlibs -V
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build build-indep build-arch clean binary-indep binary-arch binary install

=== debian/watch ===
version=3
http://sf.net/libmng/libmng-(.+)\.tar\.gz

## libmng 2.0.3+dfsg

=== debian/changelog ===
libmng (2.0.3+dfsg-4build1) noble; urgency=high

  * No change rebuild for frame pointers (and time_t).

 -- Julian Andres Klode <juliank@ubuntu.com>  Thu, 18 Apr 2024 19:49:22 +0200

libmng (2.0.3+dfsg-4) experimental; urgency=low

  * debian/control:
    + Updated Standards-Version to 4.6.1
  * Bumped dh to debhelper-compat 13.
  * Added debian/gitlab-ci.yml
  * Fixed debian/watch.
  * Updated debian/copyright.

 -- Kartik Mistry <kartik@debian.org>  Fri, 04 Mar 2022 21:43:34 +0530

libmng (2.0.3+dfsg-3) experimental; urgency=low

  * debian/libmng-dev.install:
    + Install pkgconfig file.
  * debian/rules:
    + Synced from Ubuntu. Thanks!
    + Fixed clean target.
    + Use dh-autoreconf and fix dpkg-buildflags usage.
    + Fixed installation of pkgconfig.
    + Removed -V from dh_makeshlibs, debian/shlibs overrides it.
  * Update debian/shlibs file.

 -- Kartik Mistry <kartik@debian.org>  Fri, 23 Nov 2018 22:12:39 +0530

libmng (2.0.3+dfsg-2) experimental; urgency=low

  * debian/control:
    + Updated Vcs-* URLs.
    + Updated Homepage.
    + Updated to Standards-Version 4.2.1
  * debian/symbols:
    + Added Build-Depends-Package field.
  * debian/rules:
    + Replace assignment operator with ?= for DEB_HOST_GNU_TYPE.
  * Bumped dh compat to 11.
  * Removed unused file paragraph from debian/copyright.

 -- Kartik Mistry <kartik@debian.org>  Fri, 23 Nov 2018 12:13:58 +0530

libmng (2.0.3+dfsg-1) experimental; urgency=low

  [Tobias Frost]
  * New upstream release (Closes: #755287, #798781)
  * Uploading to experimental as the soname has changed and will require a
    transition.
  * Remove, using Exclude-Files in d/copyright, config.log and config.status
    from the upstream tarball to avoid 2 lintian warnings.
  * Run autoreconf during build (Closes: #755289)

  [Helmut Grohne]
  * Fix FTCBFS: Pass host arch CC to Makefile. (Closes: #794246)

  [Manuel A. Fernandez Montecelo]
  * debian/control:
    + Add Vcs-* fields.

  [Kartik Mistry]
  * Added hardening support.
  * debian/copyright:
    + Fixed copyright. Debian license is same as upstream.
    + Added copyright for contrib.
  * debian/control:
    + Updated Standards-Version to 3.9.8
  * debian/watch:
    + Add pgpsigurlmangle support.

 -- Kartik Mistry <kartik@debian.org>  Wed, 27 Jul 2016 09:35:04 +0530

=== debian/control ===
--- 
+++ 
@@ -1,21 +1,28 @@
 Source: libmng
 Section: libs
 Priority: optional
-Build-Depends: debhelper (>= 8.1.3),
-               dh-autoreconf,
+Build-Depends: autoconf,
+               automake,
+               debhelper-compat (= 13),
+               dpkg-dev (>= 1.16.1.1),
                libjpeg-dev,
                liblcms2-dev,
+               libtool,
                zlib1g-dev
-Maintainer: Kartik Mistry <kartik@debian.org>
-Homepage: http://www.libmng.com
-Standards-Version: 3.9.2
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Kartik Mistry <kartik@debian.org>
+Homepage: https://www.libmng.com
+Standards-Version: 4.6.0
+Vcs-Git: https://salsa.debian.org/debian/libmng.git
+Vcs-Browser: https://salsa.debian.org/debian/libmng
+Rules-Requires-Root: no
 
 Package: libmng2
 Architecture: any
 Multi-Arch: same
-Replaces: libmng-dev (<< 1.0.0-3), libmng
+Replaces: libmng, libmng-dev (<< 1.0.10+dfsg-3)
 Pre-Depends: ${misc:Pre-Depends}
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: Multiple-image Network Graphics library
  The libmng library supports decoding, displaying, encoding, and various other
  manipulations of the Multiple-image Network Graphics (MNG) format image files.
@@ -28,11 +35,11 @@
 Multi-Arch: same
 Section: libdevel
 Replaces: libmng
-Depends: ${misc:Depends},
+Depends: libjpeg-dev,
+         liblcms2-dev,
          libmng2 (= ${binary:Version}),
-         libjpeg-dev,
-         liblcms2-dev,
-         zlib1g-dev
+         zlib1g-dev,
+         ${misc:Depends}
 Description: M-N-G library (Development headers)
  The libmng library supports decoding, displaying, encoding, and various other
  manipulations of the Multiple-image Network Graphics (MNG) format image files.

=== debian/rules ===
--- 
+++ 
@@ -5,7 +5,11 @@
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
 
-ARCH = $(shell dpkg-architecture -qDEB_HOST_ARCH)
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+DPKG_EXPORT_BUILDFLAGS = 1
+include /usr/share/dpkg/buildflags.mk
+
+ARCH = $(shell dpkg-architecture -qDEB_BUILD_ARCH)
 
 CPPFLAGS := $(shell dpkg-buildflags --get CPPFLAGS)
 CFLAGS := $(shell dpkg-buildflags --get CFLAGS)
@@ -16,6 +20,7 @@
   CFLAGS := $(patsubst -O%,-O0,$(CFLAGS))
   CXXFLAGS := $(patsubst -O%,-O0,$(CXXFLAGS))
 endif
+
 CFLAGS += -Wall -funroll-loops -fno-exceptions
 CXXFLAGS += -Wall -funroll-loops -fno-exceptions
 
@@ -45,8 +50,7 @@
 	dh_testdir
 	rm -f build-stamp configure-stamp
 	rm -rf build
-	: # upstream left generated files in the tarball
-	[ ! -f Makefile ] || $(MAKE) distclean
+	[ ! -f Makefile ] || $(MAKE) distclean || echo "ignored"
 	dh_autoreconf_clean
 	dh_clean
 
@@ -55,10 +59,15 @@
 	dh_testroot
 	dh_prep
 
-	mkdir -p $(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)
+	mkdir -p $(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/pkgconfig
+
 	$(MAKE) -C build install \
 		DESTDIR=$(CURDIR)/debian/tmp
-	mv debian/tmp/usr/lib/libmng* debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/.
+
+	#Multiarch fixes
+	mv debian/tmp/usr/lib/libmng* debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)
+	mv $(CURDIR)/debian/tmp/usr/lib/pkgconfig/libmng.pc \
+		debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/pkgconfig/
 
 binary-indep: build install
 
@@ -75,7 +84,7 @@
 	dh_strip
 	dh_compress
 	dh_fixperms
-	dh_makeshlibs -V
+	dh_makeshlibs
 	dh_installdeb
 	dh_shlibdeps
 	dh_gencontrol

=== debian/watch ===
version=4
opts="dversionmangle=s/\+dfsg\d*$//" \
   https://sf.net/libmng/ libmng-@ANY_VERSION@@ARCHIVE_EXT@
